import React from "react";
import PropTypes from "prop-types";
import ExpandableCard from "./ExpandableCard";

const Card = (props) => {
  const { Content, ...input } = props;
  return <ExpandableCard {...input} Summary={Content} expandable={false} />;
};

Card.propTypes = {
  Icon: PropTypes.node.isRequired,
  iconVariant: PropTypes.oneOf(["circular", "rounded", "square"]),
  title: PropTypes.string.isRequired,
  subtitle: PropTypes.string,
  smallHeader: PropTypes.bool,
  Content: PropTypes.node,
  Actions: PropTypes.node
};

export default Card;
